ome-files 0.2.2

Public Types | Public Member Functions | Private Attributes | List of all members
ome::files::tiff::Value< V > Class Template Reference

Field value. More...

`#include <ome/files/tiff/Field.h>`

## Public Types
typedef V | value_type
| The value type being wrapped.

## Public Member Functions
| Value ()
| Constructor.
| ~Value ()
| Destructor.
Value & | operator= (const Value &value)
| Assign from a Value. More...
Value & | operator= (const value_type &value)
| Assign from value_type. More...
template<typename F >
Value & | operator= (const Field< F > &field)
| Assign from Field. More...
value_type & | get ()
| Get the value. More...
const value_type & | get () const
| Get the value. More...

## Private Attributes
V | value
| The value.

## Detailed Description

### template<typename V>
class ome::files::tiff::Value< V >

Field value.

This contains a value to allow it to be assigned from a Field as the left hand side of an expression.

## Member Function Documentation

## § get() [1/2]

template<typename V >

value_type& ome::files::tiff::Value< V >::get | ( |  | ) |
| inline

Get the value.

Returns
  the wrapped value.

## § get() [2/2]

template<typename V >

const value_type& ome::files::tiff::Value< V >::get | ( |  | ) | const
| inline

Get the value.

Returns
  the wrapped value.

## § operator=() [1/3]

template<typename V >

Value& ome::files::tiff::Value< V >::operator= | ( | const Value< V > & | value | ) |
| inline

Assign from a Value.

Parameters

  value | the value to assign.

Returns
  the Value.

References ome::files::tiff::Value< V >::value.

## § operator=() [2/3]

template<typename V >

Value& ome::files::tiff::Value< V >::operator= | ( | const value_type & | value | ) |
| inline

Assign from value_type.

Parameters

  value | the value to assign.

Returns
  the Value.

## § operator=() [3/3]

template<typename V >
template<typename F >

Value& ome::files::tiff::Value< V >::operator= | ( | const Field< F > & | field | ) |
| inline

Assign from Field.

Parameters

  field | the field to assign.

Returns
  the Value.

References ome::files::tiff::Field< Tag >::get().

The documentation for this class was generated from the following file:

- ome/files/tiff/Field.h